scala.collection.parallel.ParSeqViewLike

# Reversed

#### trait Reversed extends ParSeqViewLike.Reversed with Transformed[T]

Definition Classes
  ParSeqViewLike → GenSeqViewLike
Source
  ParSeqViewLike.scala

Linear Supertypes
Transformed[T], ParSeqViewLike.Transformed[T], ParSeqView[T, Coll, CollSeq], ParSeqViewLike[T, Coll, CollSeq, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]], ParSeq[T], ParSeqLike[T, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]], ParIterableView[T, Coll, CollSeq], ParIterableViewLike[T, Coll, CollSeq, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]], ParIterable[T], ParIterableLike[T, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]], Parallel, CustomParallelizable[T, ParSeqView[T, Coll, CollSeq]], GenericParTemplate[T, ParSeq], HasNewCombiner[T, ParSeqView[T, Coll, CollSeq]], ParSeqViewLike.Reversed, ParSeqViewLike.Transformed[T], ParSeqViewLike.Transformed[T], ParSeqViewLike.Transformed[T], GenSeqView[T, Coll], GenSeqViewLike[T, Coll, ParSeqView[T, Coll, CollSeq]], GenIterableView[T, Coll], GenIterableViewLike[T, Coll, ParSeqView[T, Coll, CollSeq]], GenTraversableView[T, Coll], GenTraversableViewLike[T, Coll, ParSeqView[T, Coll, CollSeq]], GenSeq[T], GenIterable[T], GenTraversable[T], GenericTraversableTemplate[T, ParSeq], HasNewBuilder[T, ParSeq[T]], GenSeqLike[T, ParSeqView[T, Coll, CollSeq]], Equals, GenIterableLike[T, ParSeqView[T, Coll, CollSeq]], GenTraversableLike[T, ParSeqView[T, Coll, CollSeq]], Parallelizable[T, ParSeqView[T, Coll, CollSeq]], GenTraversableOnce[T], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Reversed
2. Transformed
3. Transformed
4. ParSeqView
5. ParSeqViewLike
6. ParSeq
7. ParSeqLike
8. ParIterableView
9. ParIterableViewLike
10. ParIterable
11. ParIterableLike
12. Parallel
13. CustomParallelizable
14. GenericParTemplate
15. HasNewCombiner
16. Reversed
17. Transformed
18. Transformed
19. Transformed
20. GenSeqView
21. GenSeqViewLike
22. GenIterableView
23. GenIterableViewLike
24. GenTraversableView
25. GenTraversableViewLike
26. GenSeq
27. GenIterable
28. GenTraversable
29. GenericTraversableTemplate
30. HasNewBuilder
31. GenSeqLike
32. Equals
33. GenIterableLike
34. GenTraversableLike
35. Parallelizable
36. GenTraversableOnce
37. AnyRef
38. Any

Implicitly

1. by traversable2ops
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait Accessor [R, Tp] extends ParSeqLike.Accessor[R, Tp]

   Standard accessor task that iterates over the elements of the collection.

2. #### class Aggregate [S] extends Accessor[S, Aggregate[S]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

3. #### trait Appended [U >: T] extends ParSeqViewLike.Appended[U] with ParSeqViewLike.Appended[U] with Transformed[U]

   Definition Classes
     ParSeqViewLike → ParIterableViewLike → GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

4. #### trait BuilderOps [Elem, To] extends AnyRef

   Definition Classes
     ParIterableLike

5. #### class Collect [S, That] extends Transformer[Combiner[S, That], Collect[S, That]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

6. #### abstract class Composite [FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends NonDivisibleTask[R, Composite[FR, SR, R, First, Second]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

7. #### class Copy [U >: T, That] extends Transformer[Combiner[U, That], Copy[U, That]]

   Attributes
     protected
   Definition Classes
     ParIterableLike

8. #### class CopyToArray [U >: T, This >: Repr] extends Accessor[Unit, CopyToArray[U, This]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

9. #### class Corresponds [S] extends Accessor[Boolean, Corresponds[S]]

   Attributes
     protected[this]
   Definition Classes
     ParSeqLike

10. #### class Count extends Accessor[Int, Count]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

11. #### class CreateScanTree [U >: T] extends Transformer[ScanTree[U], CreateScanTree[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

12. #### class Drop [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Drop[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

13. #### trait DroppedWhile extends GenSeqViewLike.DroppedWhile with Transformed[A]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

14. #### abstract class Elements extends SeqSplitter[T] with scala.BufferedIterator[T]

    Used to iterate elements using indices

15. #### trait EmptyView extends Transformed[Nothing] with GenSeqViewLike.EmptyView

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

16. #### class Exists extends Accessor[Boolean, Exists]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

17. #### class Filter [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Filter[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

18. #### class FilterNot [U >: T, This >: Repr] extends Transformer[Combiner[U, This], FilterNot[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

19. #### trait Filtered extends GenSeqViewLike.Filtered with Transformed[A]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

20. #### class Find [U >: T] extends Accessor[Option[U], Find[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

21. #### class FlatMap [S, That] extends Transformer[Combiner[S, That], FlatMap[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

22. #### trait FlatMapped [B] extends GenSeqViewLike.FlatMapped[B] with Transformed[B]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

23. #### class Fold [U >: T] extends Accessor[U, Fold[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

24. #### class Forall extends Accessor[Boolean, Forall]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

25. #### class Force [U >: T, That] extends Transformer[Combiner[U, That], Force[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParSeqViewLike → ParIterableViewLike

26. #### trait Forced [S] extends ParSeqViewLike.Forced[S] with ParSeqViewLike.Forced[S] with Transformed[S]

    A fall back which forces everything into a vector and then applies an operation on it.

27. #### class Foreach [S] extends Accessor[Unit, Foreach[S]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

28. #### class FromScanTree [U >: T, That] extends StrictSplitterCheckTask[Combiner[U, That], FromScanTree[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

29. #### class GroupBy [K, U >: T] extends Transformer[HashMapCombiner[K, U], GroupBy[K, U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

30. #### class IndexWhere extends Accessor[Int, IndexWhere]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

31. #### class LastIndexWhere extends Accessor[Int, LastIndexWhere]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

32. #### class Map [S, That] extends Transformer[Combiner[S, That], Map[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

33. #### trait Mapped [S] extends ParSeqViewLike.Mapped[S] with ParSeqViewLike.Mapped[S] with Transformed[S]

    Definition Classes
      ParSeqViewLike → ParIterableViewLike → GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

34. #### class Max [U >: T] extends Accessor[Option[U], Max[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

35. #### class Min [U >: T] extends Accessor[Option[U], Min[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

36. #### trait NonDivisible [R] extends NonDivisibleTask[R, NonDivisible[R]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

37. #### trait NonDivisibleTask [R, Tp] extends StrictSplitterCheckTask[R, Tp]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

38. #### abstract class ParComposite [FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Performs two tasks in parallel, and waits for both to finish.

39. #### class Partition [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Partition[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

40. #### trait Patched [U >: T] extends ParSeqViewLike.Patched[U] with Transformed[U]

    Definition Classes
      ParSeqViewLike → GenSeqViewLike

41. #### trait Prepended [U >: T] extends ParSeqViewLike.Prepended[U] with Transformed[U]

    Definition Classes
      ParSeqViewLike → GenSeqViewLike

42. #### class Product [U >: T] extends Accessor[U, Product[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

43. #### class Reduce [U >: T] extends Accessor[Option[U], Reduce[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

44. #### abstract class ResultMapping [R, Tp, R1] extends NonDivisibleTask[R1, ResultMapping[R, Tp, R1]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

45. #### class Reverse [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Reverse[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

46. #### class ReverseMap [S, That] extends Transformer[Combiner[S, That], ReverseMap[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

47. #### trait Reversed extends ParSeqViewLike.Reversed with Transformed[T]

    Definition Classes
      ParSeqViewLike → GenSeqViewLike

48. #### type SSCTask[R, Tp] = StrictSplitterCheckTask[R, Tp]

    Definition Classes
      ParIterableLike

49. #### class SameElements [U >: T] extends Accessor[Boolean, SameElements[U]]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

50. #### case class ScanLeaf [U >: T](pit: IterableSplitter[U], op: (U, U) ⇒ U, from: Int, len: Int, prev: Option[ScanLeaf[U]], acc: U) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

51. #### case class ScanNode [U >: T](left: ScanTree[U], right: ScanTree[U]) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

52. #### trait ScanTree [U >: T] extends AnyRef

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

53. #### class SegmentLength extends Accessor[(Int, Boolean), SegmentLength]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

54. #### abstract class SeqComposite [FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Sequentially performs one task after another.

55. #### trait SignallingOps [PI <: DelegatedSignalling] extends AnyRef

    Definition Classes
      ParIterableLike

56. #### class Slice [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Slice[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

57. #### trait Sliced extends ParSeqViewLike.Sliced with ParSeqViewLike.Sliced with Transformed[T]

    Definition Classes
      ParSeqViewLike → ParIterableViewLike → GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

58. #### class Span [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Span[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

59. #### class SplitAt [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), SplitAt[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

60. #### trait StrictSplitterCheckTask [R, Tp] extends Task[R, Tp]

    Attributes
      protected
    Definition Classes
      ParIterableLike

61. #### class Sum [U >: T] extends Accessor[U, Sum[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

62. #### type SuperParIterator = IterableSplitter[T]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

63. #### class Take [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Take[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

64. #### class TakeWhile [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Boolean), TakeWhile[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

65. #### trait TakenWhile extends GenSeqViewLike.TakenWhile with Transformed[A]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

66. #### trait TaskOps [R, Tp] extends AnyRef

    Definition Classes
      ParIterableLike

67. #### class ToParCollection [U >: T, That] extends Transformer[Combiner[U, That], ToParCollection[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

68. #### class ToParMap [K, V, That] extends Transformer[Combiner[(K, V), That], ToParMap[K, V, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

69. #### trait Transformed [+S] extends ParSeqView[S, Coll, CollSeq] with ParSeqViewLike.Transformed[S] with ParSeqViewLike.Transformed[S]

    The implementation base trait of this view.

70. #### trait Transformer [R, Tp] extends Accessor[R, Tp] with ParSeqLike.Transformer[R, Tp]

    Attributes
      protected
    Definition Classes
      ParSeqLike → ParIterableLike

71. #### class Updated [U >: T, That] extends Transformer[Combiner[U, That], Updated[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

72. #### class Zip [U >: T, S, That] extends Transformer[Combiner[(U, S), That], Zip[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike → ParIterableLike

73. #### class ZipAll [U >: T, S, That] extends Transformer[Combiner[(U, S), That], ZipAll[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

74. #### trait Zipped [S] extends ParSeqViewLike.Zipped[S] with ParSeqViewLike.Zipped[S] with Transformed[(T, S)]

    Definition Classes
      ParSeqViewLike → ParIterableViewLike → GenSeqViewLike → GenIterableViewLike

75. #### trait ZippedAll [U >: T, S] extends ParSeqViewLike.ZippedAll[U, S] with ParSeqViewLike.ZippedAll[U, S] with Transformed[(U, S)]

    Definition Classes
      ParSeqViewLike → ParIterableViewLike → GenSeqViewLike → GenIterableViewLike

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Reversed to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): ParIterable[B]

   [use case] Returns a new parallel iterable containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new parallel iterable containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the parallel iterable is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new parallel iterable which contains all elements of this parallel iterable followed by all elements of `that`.

   Definition Classes
     ParSeqViewLike → ParIterableViewLike → ParIterableLike → GenTraversableLike
   Full Signature

   #### def ++[U >: T, That](xs: GenTraversableOnce[U])(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], U, That]): That

6. #### def +:(elem: A): ParIterable[A]

   [use case] A copy of the parallel iterable with an element prepended.

   [use case]

   A copy of the parallel iterable with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original parallel iterable is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new parallel iterable consisting of `elem` followed by all elements of this parallel iterable.

   Definition Classes
     ParSeqViewLike → ParSeqLike → GenSeqLike
   Full Signature

   #### def +:[U >: T, That](elem: U)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], U, That]): That

7. #### def ->[B](y: B): (Reversed, B)

   Implicit information
     This member is added by an implicit conversion from Reversed to ArrowAssoc[Reversed] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

8. #### def /:[S](z: S)(op: (S, T) ⇒ S): S

   Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

   Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this parallel iterable, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this parallel iterable.

   Definition Classes
     ParIterableLike → GenTraversableOnce

9. #### def :+(elem: A): ParIterable[A]

   [use case] A copy of this parallel iterable with an element appended.

   [use case]

   A copy of this parallel iterable with an element appended.

   A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Note: will not terminate for infinite-sized collections.

   Example:

       scala> import scala.collection.mutable.LinkedList
       import scala.collection.mutable.LinkedList

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = a :+ 2
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> println(a)
       LinkedList(1)

   elem

     the appended element

   returns

     a new parallel iterable consisting of all elements of this parallel iterable followed by `elem`.

   Definition Classes
     ParSeqViewLike → ParSeqLike → GenSeqLike
   Full Signature

   #### def :+[U >: T, That](elem: U)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], U, That]): That

10. #### def :\[S](z: S)(op: (T, S) ⇒ S): S

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce

11. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

13. #### def aggregate[S](z: S)(seqop: (S, T) ⇒ S, combop: (S, S) ⇒ S): S

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    S

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      ParIterableLike → GenTraversableOnce

14. #### def apply(idx: Int): T

    Selects an element by its index in the parallel iterable.

    Selects an element by its index in the parallel iterable.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    idx

      The index to select.

    returns

      the element of this parallel iterable at index `idx`, where `0` indicates the first element.

    Definition Classes
      Reversed → Transformed → GenSeqLike
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

15. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

16. #### def asParIterable: ParIterable[T]

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

17. #### def asParSeq: ParSeq[T]

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

18. #### def bf2seq[S, That](bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], S, That]): CanBuildFrom[SeqView[T, CollSeq], S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

19. #### implicit def builder2ops[Elem, To](cb: Builder[Elem, To]): BuilderOps[Elem, To]

    Attributes
      protected
    Definition Classes
      ParIterableLike

20. #### def canEqual(other: Any): Boolean

    Definition Classes
      ParIterableLike

21. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

22. #### def collect[B](pf: PartialFunction[A, B]): ParIterable[B]

    [use case] Builds a new collection by applying a partial function to all elements of this parallel iterable on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this parallel iterable on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the parallel iterable.

    returns

      a new parallel iterable resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      ParSeqViewLike → ParIterableLike → GenTraversableLike
    Full Signature

    #### def collect[S, That](pf: PartialFunction[T, S])(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], S, That]): That

23. #### def combinerFactory[S, That](cbf: () ⇒ Combiner[S, That]): CombinerFactory[S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

24. #### def combinerFactory: CombinerFactory[T, ParSeqView[T, Coll, CollSeq]]

    Creates a combiner factory.

    Creates a combiner factory. Each combiner factory instance is used once per invocation of a parallel transformer method for a single collection.

    The default combiner factory creates a new combiner every time it is requested, unless the combiner is thread-safe as indicated by its `canBeShared` method. In this case, the method returns a factory which returns the same combiner each time. This is typically done for concurrent parallel collections, the combiners of which allow thread safe access.

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

25. #### def companion: GenericCompanion[ParSeq] with GenericParCompanion[ParSeq]

    The factory companion object that builds instances of class `ParIterable`.

    The factory companion object that builds instances of class `ParIterable`. (or its `Iterable` superclass where class `ParIterable` is not a `Seq`.)

    Definition Classes
      ParSeq → ParIterable → GenericParTemplate → GenSeq → GenIterable → GenTraversable → GenericTraversableTemplate

26. #### def copyToArray[U >: T](xs: Array[U], start: Int, len: Int): Unit

    Definition Classes
      ParIterableLike → GenTraversableOnce

27. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this parallel iterable to an array.

    [use case]

    Copies values of this parallel iterable to an array. Fills the given array `xs` with values of this parallel iterable, beginning at index `start`. Copying will stop once either the end of the current parallel iterable is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: T](xs: Array[U], start: Int): Unit

28. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this parallel iterable to an array.

    [use case]

    Copies values of this parallel iterable to an array. Fills the given array `xs` with values of this parallel iterable. Copying will stop once either the end of the current parallel iterable is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: T](xs: Array[U]): Unit

29. #### def corresponds[S](that: GenSeq[S])(p: (T, S) ⇒ Boolean): Boolean

    Tests whether every element of this parallel iterable relates to the corresponding element of another parallel sequence by satisfying a test predicate.

    Tests whether every element of this parallel iterable relates to the corresponding element of another parallel sequence by satisfying a test predicate.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    S

      the type of the elements of `that`

    that

      the other parallel sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both parallel sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this parallel iterable and `y` of `that`, otherwise `false`

    Definition Classes
      ParSeqLike → GenSeqLike

30. #### def count(p: (T) ⇒ Boolean): Int

    Counts the number of elements in the parallel iterable which satisfy a predicate.

    Counts the number of elements in the parallel iterable which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      ParIterableLike → GenTraversableOnce

31. #### def debugBuffer: ArrayBuffer[String]

    Definition Classes
      ParIterableLike

32. #### implicit def delegatedSignalling2ops[PI <: DelegatedSignalling](it: PI): SignallingOps[PI]

    Attributes
      protected
    Definition Classes
      ParIterableLike

33. #### def diff(that: GenSeq[A]): ParIterable[A]

    [use case] Computes the multiset difference between this parallel iterable and another sequence.

    [use case]

    Computes the multiset difference between this parallel iterable and another sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence of elements to remove

    returns

      a new parallel iterable which contains all elements of this parallel iterable except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      ParSeqLike → GenSeqLike
    Full Signature

    #### def diff[U >: T](that: GenSeq[U]): ParSeqView[T, Coll, CollSeq]

34. #### def distinct: ParSeqView[T, Coll, CollSeq]

    Builds a new parallel iterable from this parallel iterable without any duplicate elements.

    Builds a new parallel iterable from this parallel iterable without any duplicate elements.

    Note: will not terminate for infinite-sized collections.

    returns

      A new parallel iterable which contains the first occurrence of every element of this parallel iterable.

    Definition Classes
      ParSeqLike → GenSeqLike

35. #### def down(p: IterableSplitter[_]): SeqSplitter[T]

    Attributes
      protected[this]
    Definition Classes
      ParSeqLike

36. #### def drop(n: Int): ParSeqView[T, Coll, CollSeq]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this parallel iterable.

    returns

      a parallel iterable consisting of all elements of this parallel iterable except the first `n` ones, or else the empty parallel iterable, if this parallel iterable has less than `n` elements.

    Definition Classes
      ParSeqViewLike → ParIterableViewLike → ParIterableLike → GenTraversableLike

37. #### def dropWhile(p: (T) ⇒ Boolean): ParSeqView[T, Coll, CollSeq]

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

    returns

      a collection composed of all the elements after the longest prefix of elements in this parallel iterable that satisfy the predicate `pred`

    Definition Classes
      ParIterableViewLike → ParIterableLike → GenTraversableLike

38. #### def endsWith[S](that: GenSeq[S]): Boolean

    Tests whether this parallel iterable ends with the given parallel sequence.

    Tests whether this parallel iterable ends with the given parallel sequence.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    S

      the type of the elements of `that` sequence

    that

      the sequence to test

    returns

      `true` if this parallel iterable has `that` as a suffix, `false` otherwise

    Definition Classes
      ParSeqLike → GenSeqLike

39. #### def ensuring(cond: (Reversed) ⇒ Boolean, msg: ⇒ Any): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: (Reversed) ⇒ Boolean): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### def ensuring(cond: Boolean, msg: ⇒ Any): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### def ensuring(cond: Boolean): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

43. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

44. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

45. #### def exists(pred: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some element of this parallel iterable.

    Tests whether a predicate holds for some element of this parallel iterable.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for some element, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

46. #### def filter(p: (T) ⇒ Boolean): ParSeqView[T, Coll, CollSeq]

    Selects all elements of this parallel iterable which satisfy a predicate.

    Selects all elements of this parallel iterable which satisfy a predicate.

    returns

      a new parallel iterable consisting of all elements of this parallel iterable that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableViewLike → ParIterableLike → GenTraversableLike

47. #### def filterNot(p: (T) ⇒ Boolean): ParSeqView[T, Coll, CollSeq]

    Selects all elements of this parallel iterable which do not satisfy a predicate.

    Selects all elements of this parallel iterable which do not satisfy a predicate.

    returns

      a new parallel iterable consisting of all elements of this parallel iterable that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableViewLike → ParIterableLike → GenTraversableLike

48. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

49. #### def find(pred: (T) ⇒ Boolean): Option[T]

    Finds some element in the collection for which the predicate holds, if such an element exists.

    Finds some element in the collection for which the predicate holds, if such an element exists. The element may not necessarily be the first such element in the iteration order.

    If there are multiple elements obeying the predicate, the choice is nondeterministic.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      predicate used to test the elements

    returns

      an option value with the element if such an element exists, or `None` otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

50. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): ParIterable[B]

    [use case] Builds a new collection by applying a function to all elements of this parallel iterable and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this parallel iterable and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of parallel iterable. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new parallel iterable resulting from applying the given collection-valued function `f` to each element of this parallel iterable and concatenating the results.

    Definition Classes
      ParIterableViewLike → ParIterableLike → GenTraversableLike
    Full Signature

    #### def flatMap[S, That](f: (T) ⇒ GenTraversableOnce[S])(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], S, That]): That

51. #### def flatten[B]: ParIterable[B]

    [use case] Converts this parallel iterable of traversable collections into a parallel iterable formed by the elements of these traversable collections.

    [use case]

    Converts this parallel iterable of traversable collections into a parallel iterable formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of parallel iterable. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new parallel iterable resulting from concatenating all element parallel iterables.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (T) ⇒ GenTraversableOnce[B]): ParSeq[B]

52. #### def fold[U >: T](z: U)(op: (U, U) ⇒ U): U

    Folds the elements of this sequence using the specified associative binary operator.

    Folds the elements of this sequence using the specified associative binary operator. The order in which the elements are reduced is unspecified and may be nondeterministic.

    Note this method has a different signature than the `foldLeft` and `foldRight` methods of the trait `Traversable`. The result of folding may only be a supertype of this parallel collection's type parameter `T`.

    U

      a type parameter for the binary operator, a supertype of `T`.

    z

      a neutral element for the fold operation, it may be added to the result an arbitrary number of times, not changing the result (e.g. `Nil` for list concatenation, 0 for addition, or 1 for multiplication)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      ParIterableLike → GenTraversableOnce

53. #### def foldLeft[S](z: S)(op: (S, T) ⇒ S): S

    Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

    Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce

54. #### def foldRight[S](z: S)(op: (T, S) ⇒ S): S

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce

55. #### def forall(pred: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this parallel iterable.

    Tests whether a predicate holds for all elements of this parallel iterable.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for all elements, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

56. #### def force[U >: T, That](implicit bf: CanBuildFrom[Coll, U, That]): That

    Definition Classes
      ParSeqViewLike → ParIterableViewLike → GenTraversableViewLike

57. #### def foreach[U](f: (T) ⇒ U): Unit

    Applies a function `f` to all the elements of parallel iterable in a undefined order.

    Applies a function `f` to all the elements of parallel iterable in a undefined order.

    U

      the result type of the function applied to each element, which is always discarded

    f

      function applied to each element

    Definition Classes
      ParIterableViewLike → ParIterableLike → GenericTraversableTemplate → GenTraversableLike → GenTraversableOnce

58. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Reversed to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

59. #### def genericBuilder[B]: Combiner[B, ParSeq[B]]

    The generic builder that builds instances of `ParIterable` at arbitrary element types.

    The generic builder that builds instances of `ParIterable` at arbitrary element types.

    Definition Classes
      GenericParTemplate → GenericTraversableTemplate

60. #### def genericCombiner[B]: Combiner[B, ParSeq[B]]

    Definition Classes
      GenericParTemplate

61. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

62. #### def groupBy[K](f: (T) ⇒ K): immutable.ParMap[K, ParSeqView[T, Coll, CollSeq]]

    Partitions this parallel iterable into a map of parallel iterables according to some discriminator function.

    Partitions this parallel iterable into a map of parallel iterables according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new parallel iterable.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to parallel iterables such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a parallel iterable of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      ParSeqViewLike → ParIterableLike → GenTraversableLike

63. #### def hasDefiniteSize: Boolean

    Definition Classes
      ParIterableLike → GenTraversableOnce

64. #### def hashCode(): Int

    Hashcodes for `ParIterable` produce a value from the hashcodes of all the elements of the parallel iterable.

    Hashcodes for `ParIterable` produce a value from the hashcodes of all the elements of the parallel iterable.

    returns

      the hash code value for this object.

    Definition Classes
      GenSeqLike → Any

65. #### def head: T

    Selects the first element of this parallel iterable.

    Selects the first element of this parallel iterable.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the parallel iterable is empty.

66. #### def headOption: Option[T]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this parallel iterable if it is nonempty, `None` if it is empty.

    Definition Classes
      ParIterableLike → GenTraversableLike

67. #### def ifParSeq[R](isbody: (ParSeq[T]) ⇒ R): (TraversableOps[T])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

68. #### def indexOf(elem: T, from: Int): Int

    [use case] Finds index of first occurrence of some value in this parallel iterable after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this parallel iterable after or at some start index.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this parallel iterable that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: T](elem: B, from: Int): Int

69. #### def indexOf(elem: T): Int

    [use case] Finds index of first occurrence of some value in this parallel iterable.

    [use case]

    Finds index of first occurrence of some value in this parallel iterable.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the first element of this parallel iterable that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: T](elem: B): Int

70. #### def indexWhere(p: (T) ⇒ Boolean, from: Int): Int

    Finds the first element satisfying some predicate.

    Finds the first element satisfying some predicate.

    This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state.

    The index flag is initially set to maximum integer value.

    p

      the predicate used to test the elements

    from

      the starting offset for the search

    returns

      the index `>= from` of the first element of this parallel iterable that satisfies the predicate `p`, or `-1`, if none exists

    Definition Classes
      ParSeqLike → GenSeqLike

71. #### def indexWhere(p: (T) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this parallel iterable that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

72. #### def init: ParSeqView[T, Coll, CollSeq]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a parallel iterable consisting of all elements of this parallel iterable except the last one.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the parallel iterable is empty.

73. #### def initTaskSupport(): Unit

    Attributes
      protected
    Definition Classes
      ParIterableLike

74. #### def intersect(that: scala.Seq[T]): ParIterable[T]

    [use case] Computes the multiset intersection between this parallel iterable and another sequence.

    [use case]

    Computes the multiset intersection between this parallel iterable and another sequence.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence of elements to intersect with.

    returns

      a new parallel iterable which contains all elements of this parallel iterable which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      ParSeqLike → GenSeqLike
    Full Signature

    #### def intersect[U >: T](that: GenSeq[U]): ParSeqView[T, Coll, CollSeq]

75. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this parallel iterable contains given index.

    Tests whether this parallel iterable contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this parallel iterable contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

76. #### def isEmpty: Boolean

    Tests whether the parallel iterable is empty.

    Tests whether the parallel iterable is empty.

    returns

      `true` if the parallel iterable contains no elements, `false` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

77. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

78. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

79. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

80. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

81. #### def isStrictSplitterCollection: Boolean

    Denotes whether this parallel collection has strict splitters.

    Denotes whether this parallel collection has strict splitters.

    This is true in general, and specific collection instances may choose to override this method. Such collections will fail to execute methods which rely on splitters being strict, i.e. returning a correct value in the `remaining` method.

    This method helps ensure that such failures occur on method invocations, rather than later on and in unpredictable ways.

    Definition Classes
      ParIterableLike

82. #### final def isTraversableAgain: Boolean

    Tests whether this parallel iterable can be repeatedly traversed.

    Tests whether this parallel iterable can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

83. #### def iterator: SeqSplitter[T]

    Creates a new split iterator used to traverse the elements of this collection.

    Creates a new split iterator used to traverse the elements of this collection.

    By default, this method is implemented in terms of the protected `splitter` method.

    returns

      a split iterator

    Definition Classes
      Transformed → Transformed → Transformed → ParSeqLike → ParIterableLike → GenIterableLike

84. #### def last: T

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the parallel iterable is empty.

85. #### def lastIndexOf(elem: T, end: Int): Int

    [use case] Finds index of last occurrence of some value in this parallel iterable before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this parallel iterable before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this parallel iterable that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: T](elem: B, end: Int): Int

86. #### def lastIndexOf(elem: T): Int

    [use case] Finds index of last occurrence of some value in this parallel iterable.

    [use case]

    Finds index of last occurrence of some value in this parallel iterable.

    Note: will not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the last element of this parallel iterable that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: T](elem: B): Int

87. #### def lastIndexWhere(p: (T) ⇒ Boolean, end: Int): Int

    Finds the last element satisfying some predicate.

    Finds the last element satisfying some predicate.

    This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state.

    The index flag is initially set to minimum integer value.

    p

      the predicate used to test the elements

    end

      the maximum offset for the search

    returns

      the index `<= end` of the first element of this parallel iterable that satisfies the predicate `p`, or `-1`, if none exists

    Definition Classes
      ParSeqLike → GenSeqLike

88. #### def lastIndexWhere(p: (T) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this parallel iterable that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

89. #### def lastOption: Option[T]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this parallel iterable$ if it is nonempty, `None` if it is empty.

    Definition Classes
      ParIterableLike → GenTraversableLike

90. #### def length: Int

    The length of the parallel iterable.

    The length of the parallel iterable.

    Note: will not terminate for infinite-sized collections.

    Note: `xs.length` and `xs.size` yield the same result.

    returns

      the number of elements in this parallel iterable.

    Definition Classes
      Reversed → Transformed → GenSeqLike

91. #### def map[B](f: (A) ⇒ B): ParIterable[B]

    [use case] Builds a new collection by applying a function to all elements of this parallel iterable.

    [use case]

    Builds a new collection by applying a function to all elements of this parallel iterable.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new parallel iterable resulting from applying the given function `f` to each element of this parallel iterable and collecting the results.

    Definition Classes
      ParSeqViewLike → ParIterableViewLike → ParIterableLike → GenTraversableLike
    Full Signature

    #### def map[S, That](f: (T) ⇒ S)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], S, That]): That

92. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def max[U >: T](implicit ord: Ordering[U]): T

93. #### def maxBy[S](f: (T) ⇒ S)(implicit cmp: Ordering[S]): T

    Definition Classes
      ParIterableLike → GenTraversableOnce

94. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this parallel iterable

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def min[U >: T](implicit ord: Ordering[U]): T

95. #### def minBy[S](f: (T) ⇒ S)(implicit cmp: Ordering[S]): T

    Definition Classes
      ParIterableLike → GenTraversableOnce

96. #### def mkString: String

    Displays all elements of this parallel iterable in a string.

    Displays all elements of this parallel iterable in a string.

    returns

      a string representation of this parallel iterable. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel iterable follow each other without any separator string.

    Definition Classes
      ParIterableLike → GenTraversableOnce

97. #### def mkString(sep: String): String

    Displays all elements of this parallel iterable in a string using a separator string.

    Displays all elements of this parallel iterable in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this parallel iterable. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel iterable are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

98. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this parallel iterable in a string using start, end, and separator strings.

    Displays all elements of this parallel iterable in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this parallel iterable. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this parallel iterable are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

99. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

100. #### def newAppended[U >: T](that: GenTraversable[U]): Transformed[U]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike → ParIterableViewLike

101. #### def newAppendedTryParIterable[U >: T](that: GenTraversable[U]): Reversed.Transformed[U]

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

102. #### def newBuilder: Builder[T, ParSeq[T]]

     The builder that builds instances of type `ParIterable`[A]

     The builder that builds instances of type `ParIterable`[A]

     Attributes
       protected[this]
     Definition Classes
       GenericParTemplate → GenericTraversableTemplate → HasNewBuilder

103. #### def newCombiner: Combiner[T, ParSeqView[T, Coll, CollSeq]]

     Attributes
       protected[this]
     Definition Classes
       ParIterableViewLike → GenericParTemplate → HasNewCombiner

104. #### def newDroppedWhile(p: (T) ⇒ Boolean): Nothing

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

105. #### def newFiltered(p: (T) ⇒ Boolean): Nothing

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

106. #### def newFlatMapped[S](f: (T) ⇒ GenTraversableOnce[S]): Nothing

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

107. #### def newForced[S](xs: ⇒ GenSeq[S]): Transformed[S]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike → ParIterableViewLike

108. #### def newForcedTryParIterable[S](xs: ⇒ GenSeq[S]): Reversed.Transformed[S]

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

109. #### def newMapped[S](f: (T) ⇒ S): Transformed[S]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike → ParIterableViewLike

110. #### def newPatched[U >: T](_from: Int, _patch: GenSeq[U], _replaced: Int): Transformed[U]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike

111. #### def newPrepended[U >: T](elem: U): Transformed[U]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike

112. #### def newReversed: Transformed[T]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike

113. #### def newSliced(_endpoints: SliceInterval): Transformed[T]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike → ParIterableViewLike

114. #### def newTakenWhile(p: (T) ⇒ Boolean): Nothing

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

115. #### def newZipped[S](that: GenIterable[S]): Transformed[(T, S)]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike → ParIterableViewLike

116. #### def newZippedAll[U >: T, S](that: GenIterable[S], _thisElem: U, _thatElem: S): Transformed[(U, S)]

     Attributes
       protected
     Definition Classes
       ParSeqViewLike → ParIterableViewLike

117. #### def newZippedAllTryParSeq[S, U >: T](that: GenIterable[S], thisElem: U, thatElem: S): Reversed.Transformed[(U, S)]

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

118. #### def newZippedTryParSeq[S](that: GenIterable[S]): Reversed.Transformed[(T, S)]

     Attributes
       protected
     Definition Classes
       ParIterableViewLike

119. #### def nonEmpty: Boolean

     Tests whether the parallel iterable is not empty.

     Tests whether the parallel iterable is not empty.

     returns

       `true` if the parallel iterable contains at least one element, `false` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

120. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

121. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

122. #### def padTo(len: Int, elem: A): ParIterable[A]

     [use case] A copy of this parallel iterable with an element value appended until a given target length is reached.

     [use case]

     A copy of this parallel iterable with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new parallel iterable consisting of all elements of this parallel iterable followed by the minimal number of occurrences of `elem` so that the resulting parallel iterable has a length of at least `len`.

     Definition Classes
       ParSeqViewLike → ParSeqLike → GenSeqLike
     Full Signature

     #### def padTo[U >: T, That](len: Int, elem: U)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], U, That]): That

123. #### def par: ParSeqView[T, Coll, CollSeq]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       ParIterableLike → CustomParallelizable → Parallelizable

124. #### def parCombiner: Combiner[T, ParSeqView[T, Coll, CollSeq]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

125. #### def partition(p: (T) ⇒ Boolean): (ParSeqView[T, Coll, CollSeq], ParSeqView[T, Coll, CollSeq])

     Partitions this parallel iterable in two parallel iterables according to a predicate.

     Partitions this parallel iterable in two parallel iterables according to a predicate.

     returns

       a pair of parallel iterables: the first parallel iterable consists of all elements that satisfy the predicate `p` and the second parallel iterable consists of all elements that don't. The relative order of the elements in the resulting parallel iterables may not be preserved.

     Definition Classes
       ParIterableViewLike → ParIterableLike → GenTraversableLike

126. #### def patch(from: Int, that: GenSeq[A], replaced: Int): ParIterable[A]

     [use case] Produces a new parallel iterable where a slice of elements in this parallel iterable is replaced by another sequence.

     [use case]

     Produces a new parallel iterable where a slice of elements in this parallel iterable is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original parallel iterable

     returns

       a new parallel iterable consisting of all elements of this parallel iterable except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       ParSeqViewLike → ParSeqLike → GenSeqLike
     Full Signature

     #### def patch[U >: T, That](from: Int, patch: GenSeq[U], replace: Int)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], U, That]): That

127. #### def prefixLength(p: (T) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this parallel iterable such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

128. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this parallel iterable of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the parallel iterable and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def product[U >: T](implicit num: Numeric[U]): U

129. #### def reduce[U >: T](op: (U, U) ⇒ U): U

     Reduces the elements of this sequence using the specified associative binary operator.

     Reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     Note this method has a different signature than the `reduceLeft` and `reduceRight` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

     U

       A type parameter for the binary operator, a supertype of `T`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the collection is nonempty.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this parallel iterable is empty.

130. #### def reduceLeft[U >: T](op: (U, T) ⇒ U): U

     Definition Classes
       ParIterableLike

131. #### def reduceLeftOption[U >: T](op: (U, T) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this parallel iterable, going left to right.

     Optionally applies a binary operator to all elements of this parallel iterable, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this parallel iterable is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

132. #### def reduceOption[U >: T](op: (U, U) ⇒ U): Option[U]

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     Note this method has a different signature than the `reduceLeftOption` and `reduceRightOption` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

     U

       A type parameter for the binary operator, a supertype of `T`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

133. #### def reduceRight[U >: T](op: (T, U) ⇒ U): U

     Applies a binary operator to all elements of this parallel iterable, going right to left.

     Applies a binary operator to all elements of this parallel iterable, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this parallel iterable, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this parallel iterable is empty.

134. #### def reduceRightOption[U >: T](op: (T, U) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this parallel iterable, going right to left.

     Optionally applies a binary operator to all elements of this parallel iterable, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this parallel iterable is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

135. #### def repr: ParSeqView[T, Coll, CollSeq]

     Definition Classes
       ParIterableLike → GenTraversableLike

136. #### def reuse[S, That](oldc: Option[Combiner[S, That]], newc: Combiner[S, That]): Combiner[S, That]

     Optionally reuses an existing combiner for better performance.

     Optionally reuses an existing combiner for better performance. By default it doesn't - subclasses may override this behaviour. The provided combiner `oldc` that can potentially be reused will be either some combiner from the previous computational task, or `None` if there was no previous phase (in which case this method must return `newc`).

     oldc

       The combiner that is the result of the previous task, or `None` if there was no previous task.

     newc

       The new, empty combiner that can be used.

     returns

       Either `newc` or `oldc`.

     Attributes
       protected
     Definition Classes
       ParIterableLike

137. #### def reverse: ParSeqView[T, Coll, CollSeq]

     Returns new parallel iterable wih elements in reversed order.

     Returns new parallel iterable wih elements in reversed order.

     Note: will not terminate for infinite-sized collections.

     returns

       A new parallel iterable with all elements of this parallel iterable in reversed order.

     Definition Classes
       ParSeqViewLike → ParSeqLike → GenSeqLike

138. #### def reverseMap[B](f: (A) ⇒ B): ParIterable[B]

     [use case] Builds a new collection by applying a function to all elements of this parallel iterable and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this parallel iterable and collecting the results in reversed order.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new parallel iterable resulting from applying the given function `f` to each element of this parallel iterable and collecting the results in reversed order.

     Definition Classes
       ParSeqViewLike → ParSeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[S, That](f: (T) ⇒ S)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], S, That]): That

139. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this parallel iterable.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this parallel iterable.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       ParSeqLike → ParIterableLike → GenIterableLike
     Full Signature

     #### def sameElements[U >: T](that: GenIterable[U]): Boolean

140. #### def scan(z: T)(op: (T, T) ⇒ T): ParIterable[T]

     [use case] Computes a prefix scan of the elements of the collection.

     [use case]

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a new parallel iterable containing the prefix scan of the elements in this parallel iterable

     Definition Classes
       ParIterableLike → GenTraversableLike
     Full Signature

     #### def scan[U >: T, That](z: U)(op: (U, U) ⇒ U)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], U, That]): That

141. #### def scanBlockSize: Int

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

142. #### def scanLeft[S, That](z: S)(op: (S, T) ⇒ S)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], S, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParSeqViewLike → ParIterableLike → GenTraversableLike

143. #### def scanRight[S, That](z: S)(op: (T, S) ⇒ S)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], S, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParSeqViewLike → ParIterableLike → GenTraversableLike

144. #### def segmentLength(p: (T) ⇒ Boolean, from: Int): Int

     Returns the length of the longest segment of elements starting at a given position satisfying some predicate.

     Returns the length of the longest segment of elements starting at a given position satisfying some predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state.

     The index flag is initially set to maximum integer value.

     p

       the predicate used to test the elements

     from

       the starting offset for the search

     returns

       the length of the longest segment of elements starting at `from` and satisfying the predicate

     Definition Classes
       ParSeqLike → GenSeqLike

145. #### def seq: SeqView[T, CollSeq]

     Definition Classes
       Reversed → ParIterableLike → GenSeq → GenIterable → GenTraversable → GenSeqLike → Parallelizable → GenTraversableOnce

146. #### def sequentially[S, That <: Parallel](b: (SeqView[T, CollSeq]) ⇒ Parallelizable[S, That]): ParSeqView[T, Coll, CollSeq]

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

147. #### def size: Int

     The size of this parallel iterable.

     The size of this parallel iterable.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this parallel iterable.

     Definition Classes
       Transformed → Transformed → ParSeqLike → GenTraversableLike → GenTraversableOnce

148. #### def slice(from: Int, until: Int): ParSeqView[T, Coll, CollSeq]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a parallel iterable containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this parallel iterable.

     Definition Classes
       ParSeqViewLike → ParIterableViewLike → ParIterableLike → GenTraversableLike

149. #### def span(p: (T) ⇒ Boolean): (ParSeqView[T, Coll, CollSeq], ParSeqView[T, Coll, CollSeq])

     Splits this parallel iterable into a prefix/suffix pair according to a predicate.

     Splits this parallel iterable into a prefix/suffix pair according to a predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     returns

       a pair consisting of the longest prefix of the collection for which all the elements satisfy `pred`, and the rest of the collection

     Definition Classes
       ParIterableViewLike → ParIterableLike → GenTraversableLike

150. #### def splitAt(n: Int): (ParSeqView[T, Coll, CollSeq], ParSeqView[T, Coll, CollSeq])

     Splits this parallel iterable into two at a given position.

     Splits this parallel iterable into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of parallel iterables consisting of the first `n` elements of this parallel iterable, and the other elements.

     Definition Classes
       ParSeqViewLike → ParIterableViewLike → ParIterableLike → GenTraversableLike

151. #### def splitter: SeqSplitter[T]

     Creates a new parallel iterator used to traverse the elements of this parallel collection.

     Creates a new parallel iterator used to traverse the elements of this parallel collection. This iterator is more specific than the iterator of the returned by `iterator`, and augmented with additional accessor and transformer methods.

     returns

       a parallel iterator

     Definition Classes
       Reversed → Transformed → Transformed → ParSeqLike → ParIterableLike

152. #### def startsWith[S](that: GenSeq[S], offset: Int): Boolean

     Tests whether this parallel iterable contains the given sequence at a given index.

     Tests whether this parallel iterable contains the given sequence at a given index.

     This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

     S

       the element type of `that` parallel sequence

     that

       the parallel sequence this sequence is being searched for

     offset

       the starting offset for the search

     returns

       `true` if there is a sequence `that` starting at `offset` in this sequence, `false` otherwise

     Definition Classes
       ParSeqLike → GenSeqLike

153. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this parallel iterable starts with the given sequence.

     Tests whether this parallel iterable starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

154. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this parallel iterable. By default the string prefix is the simple name of the collection class parallel iterable.

     Definition Classes
       ParSeq → ParIterable → GenTraversableLike

155. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this parallel iterable of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the parallel iterable and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def sum[U >: T](implicit num: Numeric[U]): U

156. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

157. #### def tail: ParSeqView[T, Coll, CollSeq]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a parallel iterable consisting of all elements of this parallel iterable except the first one.

     Definition Classes
       ParIterableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the parallel iterable is empty.

158. #### def take(n: Int): ParSeqView[T, Coll, CollSeq]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this parallel iterable.

     returns

       a parallel iterable consisting only of the first `n` elements of this parallel iterable, or else the whole parallel iterable, if it has less than `n` elements.

     Definition Classes
       ParSeqViewLike → ParIterableViewLike → ParIterableLike → GenTraversableLike

159. #### def takeWhile(p: (T) ⇒ Boolean): ParSeqView[T, Coll, CollSeq]

     Takes the longest prefix of elements that satisfy the predicate.

     Takes the longest prefix of elements that satisfy the predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     returns

       the longest prefix of this parallel iterable of elements that satisy the predicate `pred`

     Definition Classes
       ParIterableViewLike → ParIterableLike → GenTraversableLike

160. #### implicit def task2ops[R, Tp](tsk: SSCTask[R, Tp]): TaskOps[R, Tp]

     Attributes
       protected
     Definition Classes
       ParIterableLike

161. #### def tasksupport: TaskSupport

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

162. #### def tasksupport_=(ts: TaskSupport): Unit

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     A task support object can be changed in a parallel collection after it has been created, but only during a quiescent period, i.e. while there are no concurrent invocations to parallel collection methods.

     Here is a way to change the task support of a parallel collection:

         import scala.collection.parallel._
         val pc = mutable.ParArray(1, 2, 3)
         pc.tasksupport = new ForkJoinTaskSupport(
           new scala.concurrent.forkjoin.ForkJoinPool(2))

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

163. #### def thisParSeq: ParSeq[T]

     Attributes
       protected[this]
     Definition Classes
       ParIterableViewLike

164. #### def to[Col[_]]: Col[A]

     [use case] Converts this parallel iterable into another by copying all elements.

     [use case]

     Converts this parallel iterable into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, T, Col[T]]): Col[T]

165. #### def toArray: Array[A]

     [use case] Converts this parallel iterable to an array.

     [use case]

     Converts this parallel iterable to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this parallel iterable. An `ClassTag` must be available for the element type of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toArray[U >: T](implicit arg0: ClassTag[U]): Array[U]

166. #### def toBuffer[U >: T]: Buffer[U]

     Converts this parallel iterable to a mutable buffer.

     Converts this parallel iterable to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

167. #### def toIndexedSeq: immutable.IndexedSeq[T]

     Converts this parallel iterable to an indexed sequence.

     Converts this parallel iterable to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

168. #### def toIterable: ParIterable[T]

     Converts this parallel iterable to an iterable collection.

     Converts this parallel iterable to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

169. #### def toIterator: scala.Iterator[T]

     Returns an Iterator over the elements in this parallel iterable.

     Returns an Iterator over the elements in this parallel iterable. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

170. #### def toList: List[T]

     Converts this parallel iterable to a list.

     Converts this parallel iterable to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

171. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this parallel iterable to a map.

     [use case]

     Converts this parallel iterable to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toMap[K, V](implicit ev: <:<[T, (K, V)]): immutable.ParMap[K, V]

172. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from Reversed to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

173. #### def toParCollection[U >: T, That](cbf: () ⇒ Combiner[U, That]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

174. #### def toParMap[K, V, That](cbf: () ⇒ Combiner[(K, V), That])(implicit ev: <:<[T, (K, V)]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

175. #### def toSeq: ParSeq[T]

     Converts this parallel iterable to a sequence.

     Converts this parallel iterable to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this parallel iterable.

     Definition Classes
       ParSeqLike → ParIterableLike → GenSeqLike → GenTraversableOnce

176. #### def toSet[U >: T]: immutable.ParSet[U]

     Converts this parallel iterable to a set.

     Converts this parallel iterable to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

177. #### def toStream: Stream[T]

     Converts this parallel iterable to a stream.

     Converts this parallel iterable to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

178. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       ParSeq → ParSeqLike → ParIterableLike → AnyRef → Any

179. #### def toTraversable: GenTraversable[T]

     Converts this parallel iterable to an unspecified Traversable.

     Converts this parallel iterable to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

180. #### def toVector: Vector[T]

     Converts this parallel iterable to a Vector.

     Converts this parallel iterable to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

181. #### def transpose[B](implicit asTraversable: (T) ⇒ GenTraversableOnce[B]): ParSeq[ParSeq[B]]

     Transposes this parallel iterable of traversable collections into a parallel iterable of parallel iterables.

     Transposes this parallel iterable of traversable collections into a parallel iterable of parallel iterables.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this parallel iterable is a `Traversable`.

     returns

       a two-dimensional parallel iterable of parallel iterables which has as nth row the nth column of this parallel iterable.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this parallel iterable are not of the same size.

182. #### lazy val underlying: Coll

     Definition Classes
       Transformed → GenTraversableViewLike

183. #### def union(that: GenSeq[T]): ParIterable[T]

     [use case] Produces a new sequence which contains all elements of this parallel iterable and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this parallel iterable and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     Note: will not terminate for infinite-sized collections.

     that

       the sequence to add.

     returns

       a new parallel iterable which contains all elements of this parallel iterable followed by all elements of `that`.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def union[B >: T, That](that: GenSeq[B])(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], B, That]): That

184. #### def unzip[A1, A2](implicit asPair: (T) ⇒ (A1, A2)): (ParSeq[A1], ParSeq[A2])

     Converts this parallel iterable of pairs into two collections of the first and second half of each pair.

     Converts this parallel iterable of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this parallel iterable is a pair.

     returns

       a pair parallel iterables, containing the first, respectively second half of each element pair of this parallel iterable.

     Definition Classes
       GenericTraversableTemplate

185. #### def unzip3[A1, A2, A3](implicit asTriple: (T) ⇒ (A1, A2, A3)): (ParSeq[A1], ParSeq[A2], ParSeq[A3])

     Converts this parallel iterable of triples into three collections of the first, second, and third element of each triple.

     Converts this parallel iterable of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this parallel iterable is a triple.

     returns

       a triple parallel iterables, containing the first, second, respectively third member of each element triple of this parallel iterable.

     Definition Classes
       GenericTraversableTemplate

186. #### def updated(index: Int, elem: A): ParIterable[A]

     [use case] A copy of this parallel iterable with one single replaced element.

     [use case]

     A copy of this parallel iterable with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this parallel iterable with the element at position `index` replaced by `elem`.

     Definition Classes
       ParSeqViewLike → ParSeqLike → GenSeqLike
     Full Signature

     #### def updated[U >: T, That](index: Int, elem: U)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], U, That]): That

187. #### def view: ParSeqView[T, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]]

     Definition Classes
       ParSeqLike → ParIterableLike

188. #### final def viewIdString: String

     Attributes
       protected[this]
     Definition Classes
       Transformed → GenTraversableViewLike

189. #### final def viewIdentifier: String

     Attributes
       protected[this]
     Definition Classes
       Reversed → GenTraversableViewLike

190. #### def viewToString: String

     Definition Classes
       GenTraversableViewLike

191. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

192. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

193. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

194. #### def wrap[R](body: ⇒ R): NonDivisible[R]

     Attributes
       protected
     Definition Classes
       ParIterableLike

195. #### def zip[B](that: GenIterable[B]): ParIterable[(A, B)]

     [use case] Returns a parallel iterable formed from this parallel iterable and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a parallel iterable formed from this parallel iterable and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new parallel iterable containing pairs consisting of corresponding elements of this parallel iterable and `that`. The length of the returned collection is the minimum of the lengths of this parallel iterable and `that`.

     Definition Classes
       ParSeqViewLike → ParSeqLike → ParIterableViewLike → ParIterableLike → GenIterableLike
     Full Signature

     #### def zip[U >: T, S, That](that: GenIterable[S])(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], (U, S), That]): That

196. #### def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): ParIterable[(A, B)]

     [use case] Returns a parallel iterable formed from this parallel iterable and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a parallel iterable formed from this parallel iterable and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this parallel iterable is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this parallel iterable.

     returns

       a new parallel iterable containing pairs consisting of corresponding elements of this parallel iterable and `that`. The length of the returned collection is the maximum of the lengths of this parallel iterable and `that`. If this parallel iterable is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this parallel iterable, `thatElem` values are used to pad the result.

     Definition Classes
       ParIterableViewLike → ParIterableLike → GenIterableLike
     Full Signature

     #### def zipAll[S, U >: T, That](that: GenIterable[S], thisElem: U, thatElem: S)(implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], (U, S), That]): That

197. #### def zipWithIndex: ParIterable[(A, Int)]

     [use case] Zips this parallel iterable with its indices.

     [use case]

     Zips this parallel iterable with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new parallel iterable containing pairs consisting of all elements of this parallel iterable paired with their index. Indices start at `0`.

     Definition Classes
       ParSeqViewLike → ParIterableViewLike → ParIterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[U >: T, That](implicit bf: CanBuildFrom[ParSeqView[T, Coll, CollSeq], (U, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

198. #### def →[B](y: B): (Reversed, B)

     Implicit information
       This member is added by an implicit conversion from Reversed to ArrowAssoc[Reversed] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reversed to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reversed to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def /:\[A1 >: T](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: Reversed

   Implicit information
     This member is added by an implicit conversion from Reversed to ArrowAssoc[Reversed] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: ArrowAssoc[Reversed]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: Reversed

   Implicit information
     This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: Ensuring[Reversed]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Transformed[T]

### Inherited from ParSeqViewLike.Transformed[T]

### Inherited from ParSeqView[T, Coll, CollSeq]

### Inherited from ParSeqViewLike[T, Coll, CollSeq, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]]

### Inherited from ParSeq[T]

### Inherited from ParSeqLike[T, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]]

### Inherited from ParIterableView[T, Coll, CollSeq]

### Inherited from ParIterableViewLike[T, Coll, CollSeq, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]]

### Inherited from ParIterable[T]

### Inherited from ParIterableLike[T, ParSeqView[T, Coll, CollSeq], SeqView[T, CollSeq]]

### Inherited from Parallel

### Inherited from CustomParallelizable[T, ParSeqView[T, Coll, CollSeq]]

### Inherited from GenericParTemplate[T, ParSeq]

### Inherited from HasNewCombiner[T, ParSeqView[T, Coll, CollSeq]]

### Inherited from ParSeqViewLike.Reversed

### Inherited from ParSeqViewLike.Transformed[T]

### Inherited from GenSeqView[T, Coll]

### Inherited from GenSeqViewLike[T, Coll, ParSeqView[T, Coll, CollSeq]]

### Inherited from GenIterableView[T, Coll]

### Inherited from GenIterableViewLike[T, Coll, ParSeqView[T, Coll, CollSeq]]

### Inherited from GenTraversableView[T, Coll]

### Inherited from GenTraversableViewLike[T, Coll, ParSeqView[T, Coll, CollSeq]]

### Inherited from GenSeq[T]

### Inherited from GenIterable[T]

### Inherited from GenTraversable[T]

### Inherited from GenericTraversableTemplate[T, ParSeq]

### Inherited from HasNewBuilder[T, ParSeq[T]]

### Inherited from GenSeqLike[T, ParSeqView[T, Coll, CollSeq]]

### Inherited from Equals

### Inherited from GenIterableLike[T, ParSeqView[T, Coll, CollSeq]]

### Inherited from GenTraversableLike[T, ParSeqView[T, Coll, CollSeq]]

### Inherited from Parallelizable[T, ParSeqView[T, Coll, CollSeq]]

### Inherited from GenTraversableOnce[T]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from Reversed to TraversableOps[T]

### Inherited by implicit conversion any2stringadd from Reversed to StringAdd

### Inherited by implicit conversion any2stringfmt from Reversed to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Reversed to ArrowAssoc[Reversed]

### Inherited by implicit conversion any2Ensuring from Reversed to Ensuring[Reversed]

### Ungrouped